package cn.com.tenlion.systembase.pojo.dtos.grid;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 *
 * @ClassName: GridDTO
 * @Description: 网格实体类
 * @Author: CodeFactory
 * @Date: 2021-10-20 16:00:09
 * @Version: 3.0
 **/
@ApiModel
public class GridDTO {

    @ApiModelProperty(name = "areaCode", value = "区域编码")
    private String areaCode;
    @ApiModelProperty(name = "areaName", value = "区域名称")
    private String areaName;
    @ApiModelProperty(name = "fillColor", value = "填充颜色")
    private String fillColor;
    @ApiModelProperty(name = "gmtCreate", value = "添加时间")
    private String gmtCreate;
    @ApiModelProperty(name = "gmtModified", value = "修改时间")
    private String gmtModified;
    @ApiModelProperty(name = "gridCode", value = "网格编码")
    private String gridCode;
    @ApiModelProperty(name = "gridDuty", value = "网格职责")
    private String gridDuty;
    @ApiModelProperty(name = "gridGroupId", value = "网格组ID")
    private String gridGroupId;
    @ApiModelProperty(name = "gridId", value = "主键")
    private String gridId;
    @ApiModelProperty(name = "gridName", value = "网格名称")
    private String gridName;
    @ApiModelProperty(name = "gridSquare", value = "网格面积")
    private int gridSquare;
    @ApiModelProperty(name = "gridSummary", value = "网格描述")
    private String gridSummary;
    @ApiModelProperty(name = "relationId", value = "关联ID")
    private String relationId;
    @ApiModelProperty(name = "pointArray", value = "网格点列表")
    private List<PointArrayBean> pointArray;
    @ApiModelProperty(name = "relationIdArray", value = "关联ID列表")
    private List<?> relationIdArray;

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getFillColor() {
        return fillColor;
    }

    public void setFillColor(String fillColor) {
        this.fillColor = fillColor;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getGridCode() {
        return gridCode;
    }

    public void setGridCode(String gridCode) {
        this.gridCode = gridCode;
    }

    public String getGridDuty() {
        return gridDuty;
    }

    public void setGridDuty(String gridDuty) {
        this.gridDuty = gridDuty;
    }

    public String getGridGroupId() {
        return gridGroupId;
    }

    public void setGridGroupId(String gridGroupId) {
        this.gridGroupId = gridGroupId;
    }

    public String getGridId() {
        return gridId;
    }

    public void setGridId(String gridId) {
        this.gridId = gridId;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public int getGridSquare() {
        return gridSquare;
    }

    public void setGridSquare(int gridSquare) {
        this.gridSquare = gridSquare;
    }

    public String getGridSummary() {
        return gridSummary;
    }

    public void setGridSummary(String gridSummary) {
        this.gridSummary = gridSummary;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public List<PointArrayBean> getPointArray() {
        return pointArray;
    }

    public void setPointArray(List<PointArrayBean> pointArray) {
        this.pointArray = pointArray;
    }

    public List<?> getRelationIdArray() {
        return relationIdArray;
    }

    public void setRelationIdArray(List<?> relationIdArray) {
        this.relationIdArray = relationIdArray;
    }

    public static class PointArrayBean {
        private String gridId;
        private String lat;
        private String lng;

        public String getGridId() {
            return gridId;
        }

        public void setGridId(String gridId) {
            this.gridId = gridId;
        }

        public String getLat() {
            return lat;
        }

        public void setLat(String lat) {
            this.lat = lat;
        }

        public String getLng() {
            return lng;
        }

        public void setLng(String lng) {
            this.lng = lng;
        }
    }
}
